Skip to main content

Overview

The Payout object represents a payment from you to one of your activated connections.
Permission Required

Creating payouts requires the payment.credit permission from the selected account connection. This permission will be granted automatically if a legacy payout method is specified when creating the account connection.

Payout Lifecycle

Each payout follows a lifecycle with events and timing depend on the type of the account connection receiving the payout. Payouts to inactive account connections are considered unclaimed and allow the recipient 30 days to activate their account connection and receive their payout. This diagram shows lifecycle events for the different types of payouts:
Payout Lifecycle

Payout Lifecycle.


Methods

POST  /payout
Make payouts to your account connections. Include an idempotency key header to make the request idempotent.

Body Parameters

account_connection
string
required
ID of Account Connection to pay
amount_in_cents
number
required
Amount in cents, e.g. $1.00 would be the number 100.
description
string
Description of payout. (Visible to creators.) Default value: Payment from {enterprise_name}
date
string
Schedule a future payout by setting its date with an ISO 8601 date/time string. If omitted, payout will be queued for processing immediately.
user_data
object
User defined data that can be attached to the object. See the User Data page for details.

Example


Properties

id
string
Identifier for this payout.
account_connection
string
ID of Account Connection to pay
description
string
Description of payout. (Visible to creators.)
date
string
Schedule a future payout by setting its date with an ISO 8601 date/time string. If omitted, payout will be queued for processing immediately.
destination
string
A plaintext label of the payout’s destination account, suitable for display.
amount_in_cents
number
Amount in cents, e.g. $1.00 would be the number 100.
fee_in_cents
number
Fee paid to Manifest for this payout, in cents, e.g. $1.00 would be the number 100.
type
string
Type of payment. One of direct, ach, wallet, or unclaimed. This field will be populated based on the Account Connection type at the time of payment.
Note: Payouts to inactive account connections are considered unclaimed and allow the recipient 30 days to activate their account connnection and receive their payout.
activity
object[]
An activity log that tracks the status changes, internal transfers, and any errors associated with a given payout.
status
string
Status of payout. One of:
user_data
object
User defined data that can be attached to the object. See the User Data page for details.